<?php 
/**
 * Plugin Name: PracticePal Online Booking
 * Plugin URI: https://www.practicepal.co.uk
 * Description: Simple plugin to embed PracticePal's online booking system in your WordPress site.
 * Version: 1.6
 * Author: PracticePal
 * Author URI: https://www.practicepal.co.uk
 */

add_action('admin_menu', 'ppalonline_booking_menu');

function ppalonline_booking_menu() {
	add_menu_page('Online Booking Settings', 'Online Booking', 'administrator', 'ppalonline-booking-settings', 'ppalonline_booking_settings_page', plugin_dir_url( __FILE__ ) . 'dashicon-pp.png');
}

add_action( 'admin_init', 'ppalonline_booking_settings' );

function ppalonline_booking_settings() {
	register_setting( 'ppalonline-booking-settings-group', 'booking_id' );
	register_setting( 'ppalonline-booking-settings-group', 'booking_embed_width' );
	register_setting( 'ppalonline-booking-settings-group', 'booking_embed_height' );
}

function ppalonline_booking_settings_page() {
?>
<style>
input[type="text"] {
    padding:8px 5px;
    min-width:300px;
}
</style>
<div class="wrap">
<h2>PracticePal Online Booking Settings</h2>
<p>The email address is the same as the one you use to log in to PracticePal. If you can't find this, you can access this from the 'General setup' under 'Head Office Details' or please follow this tutorial <a href="https://ppnew.thehelpindex.co.uk/kb/knowledgebase/online-booking-setup/#wp" target="_blank">Finding My Booking Email</a>.</p>
<hr>
<div class="postbox">
<form method="post" action="options.php">
    <?php settings_fields( 'ppalonline-booking-settings-group' ); ?>
    <?php do_settings_sections( 'ppalonline-booking-settings-group' ); ?>
    <div class="inside">
    <table class="form-table">
        <tr valign="top">
        <th scope="row" style="padding-top:0px;">
        <h3>Online Booking Email</h3>
        <p>The email address is the same as the one you use to log in to PracticePal. <br/><br/><code style="color:rgba(0,0,0,0.4);font-size:120%;">https://app.theclinicportal.com/?Email=<span style="color:red;">joe@clinicwebsite.co.uk</span></code></p>
        <input type="text" name="booking_id" value="<?php echo esc_attr( get_option('booking_id') ); ?>" />     
        <h3>Embed Dimensions</h3>
        <p>The height and width of the embedded iframe</p>
        <label for="booking_embed_width">Width<br/>
        <input type="text" id="booking_embed_width" name="booking_embed_width" placeholder="Recommended: 100%" value="<?php echo esc_attr( get_option('booking_embed_width') ); ?>" /></label>
        <br/>
        <br/>
        <label for="booking_embed_height">Height<br/>
            <input type="text" id="booking_embed_height" name="booking_embed_height" placeholder="Recommended: 700px" value="<?php echo esc_attr( get_option('booking_embed_height') ); ?>" /></label>
        </th>
        </tr>
    </table>
    <hr>
    <h3>Shortcode</h3>
    <p>Please copy the below shortcode and paste it into the page you wish to display the Online Booking page.</p>
    <code style="color:rgba(0,0,0,0.4);font-size:120%;">[online_booking]</code>
    <?php submit_button(); ?>
    </div>
</form>
</div>
</div>
<?php
} ?>
<?php
function ppalbooking_embed_creation(){
ob_start();
$booking_id = get_option('booking_id');
$booking_width = get_option('booking_embed_width');
$booking_height = get_option('booking_embed_height');

echo '<iframe src="https://app.theclinicportal.com/?Email='.$booking_id.'" width="'.$booking_width.'" height="'.$booking_height.'" seamless style="border:0px;"></iframe>';
return ob_get_clean();
}  
add_shortcode('online_booking', 'ppalbooking_embed_creation'); 
?>